std::experimental::vector_aligned_tag,std::experimental::vector_aligned(3)

NAME
std::experimental::vector_aligned_tag,std::experimental::vector_aligned - std::experimental::vector_aligned_tag,std::experimental::vector_aligned

Synopsis
   Defined in header <experimental/simd>
   struct vector_aligned_tag {}; (parallelism TS v2)
   inline constexpr vector_aligned_tag vector_aligned{};
   This tag type indicates that the buffer of copy_from and copy_to is aligned to
   memory_alignment_v<T, U>, where the copy operation operates on the simd/simd_mask
   type T, and the buffer with element type U.

Notes
   This tag type allows to implement vector-aligned load and store.

See also
   element_aligned_tag tag type that indicates the alignment of the elements
   element_aligned (class)
   (parallelism TS v2)
   overaligned_tag tag type that indicates the specified alignment
   overaligned (class template)
   (parallelism TS v2)